Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## portlets.compoze.groupware.calendar
Class Hour

    java.lang.Object
      portlets.compoze.groupware.calendar.Hour

All Implemented Interfaces:
  java.io.Serializable

public class Hour
extends java.lang.Object
implements java.io.Serializable

This class represents hours for display.

See Also:
  Serialized Form

Method Summary
`int` | `getAmPm()` Gets the AM/PM field.
`java.lang.String` | `getAmPmString()` Gets the AM/PM localized string.
`int` | `getHour()` Gets the hour.
`int` | `getHourOfDay()` Gets the hour of day (24 hour clock).
`static Hour[]` | `getHours(java.util.Locale locale, java.util.TimeZone timeZone)` Gets the 24-hours in a day.
`java.lang.String` | `getHourString()` Gets the hour localized string.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getAmPm

    public int getAmPm()

  Gets the AM/PM field.

  Returns:
    the AM/PM field

### getAmPmString

    public java.lang.String getAmPmString()

  Gets the AM/PM localized string.

  Returns:
    the AM/PM localized string

### getHourOfDay

    public int getHourOfDay()

  Gets the hour of day (24 hour clock).

  Returns:
    the hour of day (24 hour clock)

### getHourString

    public java.lang.String getHourString()

  Gets the hour localized string.

  Returns:
    the hour localized string

### getHour

    public int getHour()

  Gets the hour.

  Returns:
    the hour

### getHours

    public static Hour[] getHours(java.util.Locale locale,
                                  java.util.TimeZone timeZone)

  Gets the 24-hours in a day.

  Parameters:
    `locale` - the locale (may not be `null`)
    `timeZone` - the time zone (may not be `null`)
  Returns:
    the hours

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.